org.apache.hc.core5.http.protocol

## Class BasicHttpContext

- java.lang.Object
- - org.apache.hc.core5.http.protocol.BasicHttpContext

- All Implemented Interfaces:
    HttpContext

  Deprecated.
  Do not use.

      @Deprecated
       @Contract(threading=SAFE_CONDITIONAL)
      public class BasicHttpContext
      extends Object
      implements HttpContext

  Default implementation of `HttpContext`.

  Please note instances of this class can be thread unsafe if the parent context is not thread safe.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hc.core5.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHttpContext()` Deprecated.
    `BasicHttpContext(HttpContext parentContext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `Object` | `getAttribute(String id)` Deprecated. Obtains attribute with the given name.
    `ProtocolVersion` | `getProtocolVersion()` Deprecated. Returns protocol version used in this context.
    `Object` | `removeAttribute(String id)` Deprecated. Removes attribute with the given name from the context.
    `Object` | `setAttribute(String id, Object obj)` Deprecated. Sets value of the attribute with the given name.
    `void` | `setProtocolVersion(ProtocolVersion version)` Deprecated. Sets protocol version used in this context.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicHttpContext

          public BasicHttpContext()

      Deprecated.

    - #### BasicHttpContext

          public BasicHttpContext(HttpContext parentContext)

      Deprecated.

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute(String id)

      Deprecated.
      Description copied from interface: `HttpContext`
      Obtains attribute with the given name.
      Specified by:
        `getAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### setAttribute

          public Object setAttribute(String id,
                                     Object obj)

      Deprecated.
      Description copied from interface: `HttpContext`
      Sets value of the attribute with the given name.
      Specified by:
        `setAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
        `obj` - the attribute value.
      Returns:
        the previous value associated with `id`, or `null` if there was no mapping for `id`.

    - #### removeAttribute

          public Object removeAttribute(String id)

      Deprecated.
      Description copied from interface: `HttpContext`
      Removes attribute with the given name from the context.
      Specified by:
        `removeAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

      Deprecated.
      Description copied from interface: `HttpContext`
      Returns protocol version used in this context.
      Specified by:
        `getProtocolVersion` in interface `HttpContext`
      Since:
        5.0

    - #### setProtocolVersion

          public void setProtocolVersion(ProtocolVersion version)

      Deprecated.
      Description copied from interface: `HttpContext`
      Sets protocol version used in this context.
      Specified by:
        `setProtocolVersion` in interface `HttpContext`
      Since:
        5.0

    - #### clear

          public void clear()

      Deprecated.
      Since:
        4.2

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.